hosting
GET /v1/vector/usage
Vector storage and query usage against the plan.
Autenticazione
Invia una chiave API come token di tipo bearer. La chiave deve disporre dell'autorizzazione vector.view; una chiave sprovvista di tale autorizzazione viene rifiutata con 403 anziché 404.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X GET https://api.zinndigital.com/v1/vector/usage \
-H "Authorization: Bearer zdk_live_…"Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
Both meters against both caps: indexes held, bytes stored, and queries served this calendar month. A `null` limit means the plan states no cap for that meter. Requires `vector.view` — usage is a billing question, so it is readable without the key that can spend the allowance.
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
indexes_used | integer | Sì | — |
indexes_limit | integer | No | `null` when the plan states no cap. |
storage_bytes_used | integer | Sì | — |
storage_gb_limit | integer | No | — |
queries_this_month | integer | Sì | — |
queries_monthly_limit | integer | No | — |
period | string | Sì | The calendar month these query counts are for, as `YYYY-MM` in UTC. |
Errori che questo endpoint può restituire
401 · 403 · 404 · 429